/***************************************************************************
 *                                                                         *
 *   KNetLoad is copyright (c) 1999-2000, Markus Gustavsson                *
 *                         (c) 2002, Ben Burton                            *
 *                         (c) 2004-2005, Diego Pettenò                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef LOADREMOTE_H
#define LOADREMOTE_H

#include <loadreader.h>

#ifdef HAVE_CONFIG_H
# include <config.h>
#endif

#ifndef HAVE_KSNMP
# error "Could not compile without libksnmp"
#endif

namespace KSNMP {
	class Session1;
}

/**
 * @brief Class for monitor remote interfaces via SNMP
 * @author Diego 'Flameeyes' Petteno
 *
 * This class is used to get the load of the 
 */
class LoadRemote : public LoadReader
{
Q_OBJECT
public:
	LoadRemote(QObject* parent, const QString &server, const QString &community, uint ifnum, const char* name);
	~LoadRemote();
protected:
	virtual bool doReadingActual();
	
	/// SNMP read session
	KSNMP::Session1 *m_session;
	
	/// Index of the interface
	uint m_ifindex;
};

#endif
